Skip to main content
POST
/
v1
/
ramp
/
{subaccountId}
/
banking
/
withdrawals
/
stablecoin
curl --request POST \ --url https://api.bullring.finance/v1/ramp/{subaccountId}/banking/withdrawals/stablecoin \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "amount": "12", "stablecoin": "usdt", "chain": "ethereum", "address": "0x22ccb74a200d7b8094b72482edd46e23cbf3af37" } '
{ "id": "08936301-4656-493d-9394-0e2320cf75d1", "amount": "12", "currency": "USDT", "status": "pending", "created_at": "2025-11-20T08:53:56.636Z", "client_reference": "123e4567-e89b-12d3-a456-426614174000", "protocol": "erc20", "fee_amount": 1.08, "fee_currency": "USD", "chain": "ETH", "destination_address": "0x***37", "local_amount": "12", "local_currency": "usdt", "tx_hash": null, "gross_amount": 13.08, "rate": 1 }

Authorizations

x-api-key
string
header
required

Path Parameters

subaccountId
string
required

Body

application/json
amount
string
required
stablecoin
enum<string>
required

usdt or usdc

Available options:
usdt,
usdc
chain
enum<string>
required

ethereum, polygon, solana, stellar, tron, or celo

Available options:
ethereum,
polygon,
solana,
stellar,
tron,
celo
address
string
required
balance_account
enum<string>

The balance account to withdraw from. Use USDCARD to withdraw from the card collection balance. If omitted, defaults to the standard USD balance.

Available options:
USDCARD
client_reference
string<uuid>

Optional unique identifier (UUID) for the withdrawal, used for idempotency and reconciliation. If not provided, a random UUID will be generated by the system.

Response

Successful response

id
string<uuid>
amount
string
currency
string
status
string
created_at
string<date-time>
protocol
string
client_reference
string<uuid>
fee_amount
number
fee_currency
string
chain
string
destination_address
string
local_amount
string
local_currency
string
tx_hash
string | null
gross_amount
number
net_amount
number

The net amount after fees

rate
number